xprt_reserve_xprt
Prev | SUN RPC subsystem | Next

## Name

xprt_reserve_xprt — serialize write access to transports

## Synopsis

`int xprt_reserve_xprt (` | struct rpc_task * | task`)`;

## Arguments

`task`

  task that is requesting access to the transport

## Description

This prevents mixing the payload of separate requests, and prevents transport connects from colliding with writes. No congestion control is provided.

Prev | Up | Next
xprt_unregister_transport | Home | xprt_release_xprt